Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - enventor

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: enventor 1.0.0-1

Git Clone URL: https://aur-dev.archlinux.org/enventor.git (read-only)
Package Base: enventor
Description: Editor for EDC files (edje/efl)
Upstream URL: https://www.enlightenment.org/about-enventor
Licenses: BSD
Submitter: Scimmia
Maintainer: J5lx
Last Packager: J5lx
Votes: 5
Popularity: 0.000012
First Submitted: 2013-12-26 17:59
Last Updated: 2016-09-03 10:24

Latest Comments

thephoenix97 commented on 2016-01-27 10:01

build is failing...looks like a syntax error

J5lx commented on 2015-10-27 20:23

First of all, sorry for letting both of you wait so long.

I had a serious look into the issue and tried to produce a temporary fix, but after a certain point eolian_gen (the program that produces the error reported by samis) just started segfaulting and I have no clue why. I don't want to build from git either, since, well, this is a stable package and not a git one. I'll continue to try to find a solution (or at least a compromise of one kind or another), but for now I see no way of making this package build again. If enventor does build from git as Commod0re says it may be worthwhile creating a git package, at least for the time being (but I personally would rather spend my time trying to fix this package, so I leave the git package to you guys).

Commod0re commented on 2015-10-07 19:35

Looks like it is indeed related to the EFL version: https://phab.enlightenment.org/T2734

builds from git, but only with a slight modification

J5lx commented on 2015-09-16 20:08

I probably won't be able to actually investigate this in the next one or two days, but for now I'd guess this is some upstream compatibility issue. Downgrade EFL and Elementary to 1.14 (you can find archived arch packages for them at http://seblu.net/a/archive/packages/e/) and try to build it again. If it does build with the older version, please create a bug report at at https://phab.enlightenment.org/maniphest/task/create/

samis commented on 2015-09-16 15:44

This doesn't build for me with EFL & Elementary 1.15. The given error is:
eolian:../../src/lib/enventor_object.eo:3:4: '}' expected (to close '{' at line 1, column 46) near 'properties'
properties {
^